<?php

return [
    'finance' => 'Finance',
    'receipt_vs_payment' => 'Receipt vs Payment',
    'payment_failed' => 'Payment failed.',
    'payment_cancelled' => 'Your payment has been cancelled. Please use :attribute for future reference.',
    'payment_amount_mismatch' => 'Sorry! Your payment was failed because of amount mismatch.',
    'unsupported_currency' => 'Sorry! Your payment could not be processed because of unsupported currency.',
    'invalid_token' => 'Sorry! Your payment was failed because of invalid token.',
    'amount_mismatch' => 'Sorry! Your payment was failed because of amount mismatch. Please use :attribute for future reference.',
    'id_mismatch' => 'Sorry! Your payment was failed because of id mismatch. Please use :attribute for future reference.',
    'amount_refunded' => 'Sorry! Your payment was failed because the amount is refunded. Please use :attribute for future reference.',
    'pg_version_mismatch' => 'Sorry! Your payment was incomplete because of gateway version mismatch. Please use :attribute for future reference.',
    'could_not_update_payment_status' => 'Could not update payment status.',
    'no_response_received' => 'No transaction response received from the payment gateway. Please use :attribute for future reference.',
    'transaction_failed' => 'Sorry! Your payment was failed. Please use :attribute for future reference.',
    'payment_succeed' => 'Your payment of :amount is successful. Please use :attribute for future reference.',
    'online_receipt_info' => 'This is computer generated receipt. No signature required.',
    'fee' => [
        'fee' => 'Fee',
        'total' => 'Total',
        'paid' => 'Paid',
        'concession' => 'Concession',
        'balance' => 'Balance',
        'due' => 'Due',
        'not_paid' => 'The fee is not yet paid.',
        'amount_gt_balance' => 'Amount :amount is greater than balance :balance.',
        'paid_gt_amount' => 'Paid :paid is greater than amount :amount.',
        'paid_concession' => 'Could not update fee installment, concession is already paid.',
        'default_fee_heads' => [
            'late_fee' => 'Late Fee',
            'transport_fee' => 'Transport Fee',
            'additional_charge' => 'Additional Charge',
            'additional_discount' => 'Additional Discount',
        ],
        'default_custom_fee_types' => [
            'subject_wise_exam_fee' => 'Subject Wise Exam Fee',
            'exam_form_fee' => 'Exam Form Fee',
            'exam_form_late_fee' => 'Exam Form Late Fee',
        ],
    ],
    'fee_group' => [
        'fee_group' => 'Fee Group',
        'fee_groups' => 'Fee Groups',
        'module_title' => 'List all Fee Group',
        'module_description' => 'Manage all Fee Group',
        'props' => [
            'name' => 'Name',
            'description' => 'Description',
        ],
    ],
    'fee_head' => [
        'fee_head' => 'Fee Head',
        'fee_heads' => 'Fee Heads',
        'module_title' => 'List all Fee Head',
        'module_description' => 'Manage all Fee Head',
        'could_not_modify_if_installment_exists' => 'Could not modify fee head, fee installment exists.',
        'custom_fee' => 'Custom Fee',
        'reserved_name' => 'Reserved name, please use different name.',
        'props' => [
            'name' => 'Name',
            'type' => 'Fee Type',
            'description' => 'Description',
        ],
    ],
    'fee_concession' => [
        'fee_concession' => 'Fee Concession',
        'fee_concessions' => 'Fee Concessions',
        'module_title' => 'List all Fee Concession',
        'module_description' => 'Manage all Fee Concession',
        'given_between' => 'Given Between',
        'props' => [
            'name' => 'Name',
            'transport_type' => 'Transport Concession Type',
            'transport_value' => 'Transport Concession Value',
            'amount' => 'Amount',
            'value' => 'Value',
            'percent' => 'Percent',
            'description' => 'Description',
        ],
        'type' => [
            'type' => 'Fee Concession Type',
            'types' => 'Fee Concession Types',
            'module_title' => 'List all Fee Concession Type',
            'module_description' => 'Manage all Fee Concession Type',
            'props' => [
                'name' => 'Name',
                'description' => 'Description',
            ],
        ],
    ],
    'fee_structure' => [
        'fee_structure' => 'Fee Structure',
        'fee_structures' => 'Fee Structures',
        'module_title' => 'List all Fee Structure',
        'module_description' => 'Manage all Fee Structure',
        'installment' => 'Fee Installment',
        'installment_count' => 'Installment Count',
        'installment_number' => 'Fee Installment :attribute',
        'installments' => 'Fee Installments',
        'allocate' => 'Allocate Fee',
        'allocation' => 'Fee Allocation',
        'late_fee' => 'Late Fee',
        'not_allocated' => 'Fee not allocated to the course or batch.',
        'duplicate_title_found' => 'Duplicate title found for :attribute.',
        'not_editable_as_fee_paid' => 'Fee structure is not editable as some fee installments are paid.',
        'fee_already_allocated' => ':attribute has already fee allocated.',
        'could_not_edit_installment' => 'Could not edit fee installment, it is paid :attribute time(s).',
        'could_not_edit_assigned_installment' => 'Could not edit fee installment, it is assigned to :attribute student(s).',
        'could_not_delete_installment' => 'Could not delete fee installment, it is paid :attribute time(s).',
        'could_not_delete_allocation_if_allocated' => 'Could not delete fee allocation, fee is already allocated to the students.',
        'frequencies' => [
            'one_time' => 'One Time',
            'daily' => 'Daily',
            'weekly' => 'Weekly',
            'fortnightly' => 'Fortnightly',
            'monthly' => 'Monthly',
            'bi_monthly' => 'Bi Monthly',
            'quarterly' => 'Quarterly',
            'bi_annually' => 'Bi Annually',
            'annually' => 'Annually',
        ],
        'due_on' => 'Due On :attribute',
        'overdue_by' => 'Overdue by :attribute days',
        'props' => [
            'name' => 'Name',
            'amount' => 'Amount',
            'title' => 'Title',
            'description' => 'Description',
            'is_optional' => 'Is Optional',
            'applicable_to' => 'Applicable To',
            'new_student' => 'New Student',
            'old_student' => 'Old Student',
            'all_student' => 'All Student',
            'applicable' => 'Applicable',
            'is_mandatory' => 'Is Mandatory',
            'due_date' => 'Due Date',
            'optional' => 'Optional',
            'mandatory' => 'Mandatory',
            'has_transport_fee' => 'Has Transport Fee',
            'late_fee' => 'Late Fee',
            'has_late_fee' => 'Has Late Fee',
            'late_fee_value' => 'Late Fee Charge',
            'late_fee_frequency' => 'Late Fee Frequency',
            'late_fee_type' => 'Type',
            'late_fee_type_amount' => 'Amount',
            'late_fee_type_percent' => 'Percent',
        ],
    ],
    'late_fee_frequencies' => [
        'one_time' => 'One Time',
        'daily' => 'Daily',
        'weekly' => 'Weekly',
        'fortnightly' => 'Fortnightly',
        'monthly' => 'Monthly',
        'bi_monthly' => 'Bi-monthly',
        'quarterly' => 'Quarterly',
        'bi_annually' => 'Bi-annually',
        'annually' => 'Annually',
    ],
    'payment_statuses' => [
        'not_applicable' => 'Not Applicable',
        'paid' => 'Paid',
        'unpaid' => 'Unpaid',
        'partial' => 'Partial',
        'partially_paid' => 'Partially Paid',
    ],
    'ledger' => [
        'ledger' => 'Ledger',
        'ledgers' => 'Ledgers',
        'module_title' => 'List all Ledgers',
        'module_description' => 'Manage all Ledgers',
        'primary_ledger' => 'Primary Ledger',
        'secondary_ledger' => 'Secondary Ledger',
        'groups' => [
            'cash' => 'Cash',
            'bank_account' => 'Bank Account',
            'overdraft_account' => 'Overdraft Account',
            'sundry_debtor' => 'Sundry Debtor',
            'sundry_creditor' => 'Sundry Creditor',
            'direct_expense' => 'Direct Expense',
            'indirect_expense' => 'Indirect Expense',
            'direct_income' => 'Direct Income',
            'indirect_income' => 'Indirect Income',
        ],
        'props' => [
            'name' => 'Name',
            'alias' => 'Alias',
            'code' => 'Code',
            'description' => 'Description',
            'contact' => 'Contact',
            'account' => 'Account',
            'contact_number' => 'Contact Number',
            'email' => 'Email',
            'code_prefix' => 'Prefix',
            'code_digit' => 'Digit',
            'code_suffix' => 'Suffix',
            'code_format' => 'Code Format',
            'opening_balance' => 'Opening Balance',
            'current_balance' => 'Current Balance',
            'net_balance' => 'Net Balance',
            'balance' => 'Balance :attribute',
        ],
    ],
    'ledger_type' => [
        'ledger_type' => 'Ledger Type',
        'ledger_types' => 'Ledger Types',
        'module_title' => 'List all Ledger Types',
        'module_description' => 'Manage all Ledger Types',
        'default' => 'Default',
        'props' => [
            'name' => 'Name',
            'alias' => 'Alias',
            'code' => 'Code',
            'parent' => 'Parent',
            'description' => 'Description',
        ],
    ],
    'account' => [
        'account' => 'Account',
        'accounts' => 'Accounts',
        'info' => 'Account Information',
        'number_info' => 'Voucher Number Information',
        'props' => [
            'name' => 'Account Name',
            'alias' => 'Alias',
            'number' => 'Account number',
            'bank_name' => 'Bank Name',
            'branch_name' => 'Branch Name',
            'branch_address' => 'Branch Address',
            'branch_code' => 'Branch Code',
        ],
    ],
    'transaction' => [
        'transaction' => 'Transaction',
        'transactions' => 'Transactions',
        'module_title' => 'List all Transactions',
        'module_description' => 'Manage all Transactions',
        'detail' => 'Transaction Detail',
        'voucher' => 'Voucher',
        'props' => [
            'type' => 'Type',
            'head' => 'Head',
            'status' => 'Status',
            'code_number' => 'Voucher Number',
            'amount' => 'Amount',
            'date' => 'Date',
            'remarks' => 'Remarks',
            'description' => 'Description',
            'instrument_number' => 'Instrument Number',
            'instrument_date' => 'Instrument Date',
            'clearing_date' => 'Clearing Date',
            'bank_detail' => 'Bank Detail',
            'reference_number' => 'Reference Number',
            'payment_rejected' => 'Payment Rejected',
            'rejected_date' => 'Date Rejected',
            'rejection_charge' => 'Rejection Charge',
            'rejection_remarks' => 'Rejection Remarks',
            'cancellation_remarks' => 'Cancellation Remarks',
        ],
        'config' => [
            'config' => 'Config',
            'info' => 'Transaction Config',
            'number_variable_info' => 'You can use :attribute placeholders.',
            'props' => [
                'guest_payment' => 'Enable Guest Payment',
                'voucher_number_type' => 'Voucher Number Type',
                'payment_number' => 'Voucher Number',
                'payment_number_prefix' => 'Payment Voucher Number Prefix',
                'payment_number_suffix' => 'Payment Voucher Number Suffix',
                'payment_number_digit' => 'Payment Voucher Number Digit',
                'receipt_number' => 'Voucher Number',
                'receipt_number_prefix' => 'Receipt Voucher Number Prefix',
                'receipt_number_suffix' => 'Receipt Voucher Number Suffix',
                'receipt_number_digit' => 'Receipt Voucher Number Digit',
                'transfer_number' => 'Voucher Number',
                'transfer_number_prefix' => 'Transfer Voucher Number Prefix',
                'transfer_number_suffix' => 'Transfer Voucher Number Suffix',
                'transfer_number_digit' => 'Transfer Voucher Number Digit',
                'online_transaction_number' => 'Online Voucher Number',
                'online_number_prefix' => 'Online Voucher Number Prefix',
                'online_number_suffix' => 'Online Voucher Number Suffix',
                'online_number_digit' => 'Online Voucher Number Digit',
            ],
        ],
        'types' => [
            'payment' => 'Payment',
            'receipt' => 'Receipt',
            'transfer' => 'Account Transfer',
        ],
        'heads' => [
            'registration_fee' => 'Registration Fee',
            'student_fee' => 'Student Fee',
            'fee_refund' => 'Fee Refund',
        ],
    ],
    'transaction_statuses' => [
        'pending' => 'Pending',
        'failed' => 'Failed',
        'cancelled' => 'Cancelled',
        'rejected' => 'Rejected',
        'succeed' => 'Succeed',
    ],
    'payment' => [
        'payment' => 'Payment',
        'online' => 'Online Payment',
        'could_not_cancel_online_payment' => 'Could not cancel online payment.',
        'already_cancelled' => 'Payment is already cancelled.',
        'already_rejected' => 'Payment is already rejected.',
    ],
    'payment_method' => [
        'payment_method' => 'Payment Method',
        'payment_methods' => 'Payment Methods',
        'online_payment_method' => 'Online Payment Method',
        'module_title' => 'List all Payment Methods',
        'module_description' => 'Manage all Payment Methods',
        'detail' => 'Payment Method Detail',
        'props' => [
            'name' => 'Name',
            'code' => 'Code',
            'description' => 'Description',
            'is_payment_gateway' => 'Is Payment Gateway',
            'payment_gateway_name' => 'Payment Gateway Name',
            'has_instrument_number' => 'Has Instrument Number',
            'has_instrument_date' => 'Has Instrument Date',
            'has_clearing_date' => 'Has Clearing Date',
            'has_bank_detail' => 'Has Bank Detail',
            'has_reference_number' => 'Has Reference Number',
        ],
    ],
    'report' => [
        'report' => 'Report',
        'reports' => 'Reports',
        'fee_summary' => [
            'fee_summary' => 'Fee Summary Report',
            'module_title' => 'List all Fee Summary',
            'module_description' => 'Manage all Fee Summary',
        ],
        'fee_concession' => [
            'fee_concession' => 'Fee Concession Report',
            'module_title' => 'List all Fee Concession',
            'module_description' => 'Manage all Fee Concession',
        ],
        'fee_due' => [
            'fee_due' => 'Fee Due Report',
            'module_title' => 'List all Fee Due',
            'module_description' => 'Manage all Fee Due',
            'props' => [
                'due_on' => 'Due On',
                'overdue_by' => 'Overdue by',
            ],
        ],
        'installment_wise_fee_due' => [
            'installment_wise_fee_due' => 'Installment wise Fee Due Report',
            'module_title' => 'List all Installment wise Fee Due',
            'module_description' => 'Manage all Installment wise Fee Due',
            'props' => [
                'due_on' => 'Due On',
                'overdue_by' => 'Overdue by',
            ],
        ],
        'fee_head' => [
            'fee_head' => 'Fee Head Report',
            'module_title' => 'List all Fee Head',
            'module_description' => 'Manage all Fee Head',
            'select_fee_head' => 'Please select fee head to get report.',
            'props' => [],
        ],
        'fee_payment' => [
            'fee_payment' => 'Fee Payment Report',
            'module_title' => 'List all Fee Payment',
            'module_description' => 'Manage all Fee Payment',
            'props' => [],
        ],
        'online_fee_payment' => [
            'online_fee_payment' => 'Online Fee Payment Report',
            'module_title' => 'List all Fee Online Payment',
            'module_description' => 'Manage all Fee Online Payment',
            'props' => [],
        ],
        'head_wise_fee_payment' => [
            'head_wise_fee_payment' => 'Head wise Fee Payment Report',
            'module_title' => 'List all Head wise Fee Payment',
            'module_description' => 'Manage all Head wise Fee Payment',
            'props' => [],
        ],
        'payment_method_wise_fee_payment' => [
            'payment_method_wise_fee_payment' => 'Payment Method wise Fee Payment Report',
            'module_title' => 'List all Payment Method wise Fee Payment',
            'module_description' => 'Manage all Payment Method wise Fee Payment',
            'props' => [],
        ],
        'fee_refund' => [
            'fee_refund' => 'Fee Refund Report',
            'module_title' => 'List all Fee Refund',
            'module_description' => 'Manage all Fee Refund',
            'props' => [],
        ],
    ],
    'config' => [
        'config' => 'Config',
        'info' => 'Finance Config',
        'payment_gateway' => 'Payment Gateway',
        'props' => [
            'enable_payment_gateway' => 'Enable :attribute',
            'payment_gateway_mode' => ':attribute Mode',
            'payment_gateway_version' => ':attribute Version',
            'payment_gateway_merchant' => ':attribute Merchant',
            'payment_gateway_client' => ':attribute Client',
            'payment_gateway_secret' => ':attribute Secret',
            'payment_gateway_notification' => ':attribute Notification Key',
            'pg_account' => 'Payment Gateway Account',
            'pg_account_info' => 'Payment Gateway Account if you are collecting fee in different accounts',
        ],
    ],
];
