<?php

return [
    'inventory' => 'Inventory',
    'inventories' => 'Inventories',
    'module_title' => 'List all Inventories',
    'module_description' => 'Manage all Inventories',
    'transaction' => 'Transaction',
    'vendor' => 'Vendor',
    'place' => 'Place',
    'item' => 'Item',
    'props' => [
        'name' => 'Name',
        'description' => 'Description',
    ],
    'incharge' => [
        'incharge' => 'Inventory Incharge',
        'incharges' => 'Inventory Incharges',
        'module_title' => 'List all Inventory Incharges',
        'module_description' => 'Manage all Inventory Incharges',
    ],
    'stock_category' => [
        'stock_category' => 'Stock Category',
        'stock_categories' => 'Stock Categories',
        'module_title' => 'List all Stock Categories',
        'module_description' => 'Manage all Stock Categories',
        'could_not_change_inventory_after_transaction' => 'Could not change inventory after stock transaction.',
        'props' => [
            'name' => 'Name',
            'description' => 'Description',
        ],
    ],
    'stock_item' => [
        'stock_item' => 'Stock Item',
        'stock_items' => 'Stock Items',
        'module_title' => 'List all Stock Items',
        'module_description' => 'Manage all Stock Items',
        'duplicate_item' => 'Item already exists in this category',
        'could_not_change_inventory_after_transaction' => 'Could not change inventory after stock transaction.',
        'props' => [
            'name' => 'Name',
            'code' => 'Code',
            'unit' => 'Unit',
            'description' => 'Description',
            'place' => 'Place',
            'opening_quantity' => 'Opening Quantity',
            'quantity' => 'Quantity',
        ],
    ],
    'stock_purchase' => [
        'stock_purchase' => 'Stock Purchase',
        'stock_purchases' => 'Stock Purchases',
        'module_title' => 'List all Stock Purchases',
        'module_description' => 'Manage all Stock Purchases',
        'could_not_delete_if_purchase_exists_after_this_date' => 'Could not delete if purchase exists after this date',
        'could_not_edit_place' => 'Could not edit place.',
        'props' => [
            'code_number' => 'Purchase #',
            'items' => 'Items',
            'date' => 'Date',
            'voucher_number' => 'Voucher Number',
            'place' => 'Place',
            'description' => 'Description',
            'quantity' => 'Quantity',
            'unit_price' => 'Unit Price',
            'amount' => 'Amount',
            'total' => 'Total',
        ],
        'config' => [
            'props' => [
                'number_prefix' => 'Stock Purchase Number Prefix',
                'number_suffix' => 'Stock Purchase Number Suffix',
                'number_digit' => 'Stock Purchase Number Digit',
            ],
        ],
    ],
    'stock_requisition' => [
        'stock_requisition' => 'Stock Requisition',
        'stock_requisitions' => 'Stock Requisitions',
        'module_title' => 'List all Stock Requisitions',
        'module_description' => 'Manage all Stock Requisitions',
        'could_not_delete_if_requisition_exists_after_this_date' => 'Could not delete if requisition exists after this date',
        'could_not_edit_place' => 'Could not edit place.',
        'slip' => 'Requisition Slip',
        'props' => [
            'code_number' => 'Requisition #',
            'items' => 'Items',
            'date' => 'Date',
            'voucher_number' => 'Voucher Number',
            'place' => 'Place',
            'description' => 'Description',
            'quantity' => 'Quantity',
            'unit_price' => 'Unit Price',
            'requested_by' => 'Requested By',
            'message_to_vendor' => 'Message to Vendor',
            'amount' => 'Amount',
            'total' => 'Total',
        ],
        'config' => [
            'props' => [
                'number_prefix' => 'Stock Requisition Number Prefix',
                'number_suffix' => 'Stock Requisition Number Suffix',
                'number_digit' => 'Stock Requisition Number Digit',
            ],
        ],
    ],
    'stock_transfer' => [
        'stock_transfer' => 'Stock Transfer',
        'stock_transfers' => 'Stock Transfers',
        'module_title' => 'List all Stock Transfers',
        'module_description' => 'Manage all Stock Transfers',
        'could_not_delete_if_transfer_exists_after_this_date' => 'Could not delete if transfer exists after this date',
        'could_not_edit_from_to' => 'Could not edit from & to place.',
        'from_to_same' => 'From & to place cannot be same.',
        'props' => [
            'code_number' => 'Transfer #',
            'items' => 'Items',
            'date' => 'Date',
            'return_date' => 'Return Date',
            'from' => 'From',
            'to' => 'To',
            'place' => 'Place',
            'from_place' => 'From Place',
            'to_place' => 'To Place',
            'description' => 'Description',
            'quantity' => 'Quantity',
        ],
        'config' => [
            'props' => [
                'number_prefix' => 'Stock Transfer Number Prefix',
                'number_suffix' => 'Stock Transfer Number Suffix',
                'number_digit' => 'Stock Transfer Number Digit',
            ],
        ],
    ],
    'stock_adjustment' => [
        'stock_adjustment' => 'Stock Adjustment',
        'stock_adjustments' => 'Stock Adjustments',
        'module_title' => 'List all Stock Adjustments',
        'module_description' => 'Manage all Stock Adjustments',
        'could_not_delete_if_adjustment_exists_after_this_date' => 'Could not delete if adjustment exists after this date',
        'could_not_edit_place' => 'Could not edit place.',
        'props' => [
            'code_number' => 'Adjustment #',
            'items' => 'Items',
            'date' => 'Date',
            'place' => 'Place',
            'description' => 'Description',
            'quantity' => 'Quantity',
        ],
        'config' => [
            'props' => [
                'number_prefix' => 'Stock Adjustment Number Prefix',
                'number_suffix' => 'Stock Adjustment Number Suffix',
                'number_digit' => 'Stock Adjustment Number Digit',
            ],
        ],
    ],
    'config' => [
        'config' => 'Config',
    ],
];
