<?php

return [
    'transport' => 'Transport',
    'stoppage' => [
        'stoppage' => 'Transport Stoppage',
        'stoppages' => 'Transport Stoppages',
        'module_title' => 'List all Transport Stoppage',
        'module_description' => 'Manage all Transport Stoppage',
        'props' => [
            'name' => 'Name',
            'description' => 'Description',
        ],
    ],
    'route' => [
        'route' => 'Transport Route',
        'routes' => 'Transport Routes',
        'module_title' => 'List all Transport Route',
        'module_description' => 'Manage all Transport Route',
        'arrival_time_should_less_than_departure_time' => 'Arrival time should be less than departure time.',
        'passenger' => 'Passenger',
        'passengers' => 'Passengers',
        'arrival_stoppages' => 'Arrival Stoppages',
        'departure_stoppages' => 'Departure Stoppages',
        'props' => [
            'name' => 'Name',
            'title' => 'Title',
            'max_capacity' => 'Max Capacity',
            'direction' => 'Direction',
            'arrival_starts_at' => 'Arrival Starts At',
            'departure_starts_at' => 'Departure Starts At',
            'arrival_time' => 'Arrival Time',
            'departure_time' => 'Departure Time',
            'waiting_time' => 'Waiting Time',
            'description' => 'Description',
            'arrival_time' => 'Arrival Time',
            'departure_time' => 'Departure Time',
            'duration_to_destination' => 'Duration To Destination',
        ],
    ],
    'circle' => [
        'circle' => 'Transport Circle',
        'circles' => 'Transport Circles',
        'module_title' => 'List all Transport Circle',
        'module_description' => 'Manage all Transport Circle',
        'props' => [
            'name' => 'Name',
            'description' => 'Description',
        ],
        'direction' => 'Direction',
        'directions' => [
            'arrival' => 'Arrival',
            'departure' => 'Departure',
            'roundtrip' => 'Round Trip',
        ],
    ],
    'fee' => [
        'fee' => 'Transport Fee',
        'fees' => 'Transport Fees',
        'module_title' => 'List all Transport Fee',
        'module_description' => 'Manage all Transport Fee',
        'props' => [
            'name' => 'Name',
            'description' => 'Description',
            'arrival_amount' => 'Arrival amount',
            'departure_amount' => 'Departure amount',
            'roundtrip_amount' => 'Roundtrip amount',
        ],
    ],
    'vehicle' => [
        'vehicle' => 'Vehicle',
        'vehicles' => 'Vehicles',
        'module_title' => 'List all Vehicles',
        'module_description' => 'Manage all Vehicles',
        'registration_info' => 'Registration Info',
        'owner_info' => 'Owner Info',
        'driver_info' => 'Driver Info',
        'disposal_info' => 'Disposal Info',
        'duplicate_vehicle' => 'Vehicle with this registration number already exists.',
        'props' => [
            'name' => 'Name',
            'registration_number' => 'Registration Number',
            'registration_date' => 'Registration Date',
            'registration_place' => 'Registration Place',
            'model_number' => 'Model Number',
            'make' => 'Make',
            'class' => 'Class',
            'cubic_capacity' => 'Cubic Capacity',
            'chassis_number' => 'Chassis Number',
            'engine_number' => 'Engine Number',
            'color' => 'Color',
            'fuel_type' => 'Fuel Type',
            'fuel_capacity' => 'Fuel Capacity',
            'seating_capacity' => 'Seating Capacity',
            'max_seating_allowed' => 'Max Seating Allowed',
            'owner_name' => 'Owner Name',
            'owner_address' => 'Owner Address',
            'owner_phone' => 'Owner Phone',
            'owner_email' => 'Owner Email',
            'driver_name' => 'Driver Name',
            'driver_address' => 'Driver Address',
            'driver_phone' => 'Driver Phone',
            'helper_name' => 'Helper Name',
            'helper_address' => 'Helper Address',
            'helper_phone' => 'Helper Phone',
            'is_sold' => 'Is Sold',
            'buyer_name' => 'Buyer Name',
            'buyer_address' => 'Buyer Address',
            'buyer_phone' => 'Buyer Phone',
            'buyer_email' => 'Buyer Email',
            'selling_price' => 'Selling Price',
            'selling_date' => 'Selling Date',
        ],
        'document_type' => [
            'document_type' => 'Vehicle Document Type',
            'document_types' => 'Vehicle Document Types',
            'module_title' => 'Manage all Vehicle Document Types',
            'module_description' => 'List all Vehicle Document Types',
            'props' => [
                'name' => 'Name',
                'description' => 'Description',
            ],
        ],
        'incharge' => [
            'incharge' => 'Vehicle Incharge',
            'incharges' => 'Vehicle Incharges',
            'module_title' => 'List all Vehicle Incharges',
            'module_description' => 'Manage all Vehicle Incharges',
        ],
        'fuel_types' => [
            'petrol' => 'Petrol',
            'diesel' => 'Diesel',
            'cng' => 'CNG',
            'electrical' => 'Electrical',
        ],
        'fuel_record' => [
            'fuel_record' => 'Vehicle Fuel Record',
            'fuel_records' => 'Vehicle Fuel Records',
            'module_title' => 'List all Vehicle Fuel Records',
            'module_description' => 'Manage all Vehicle Fuel Records',
            'props' => [
                'quantity' => 'Quantity',
                'price_per_unit' => 'Price Per Unit',
                'log' => 'Log',
                'date' => 'Date',
                'cost' => 'Cost',
                'remarks' => 'Remarks',
            ],
        ],
        'service_center' => [
            'service_center' => 'Vehicle Service Center',
            'service_centers' => 'Vehicle Service Centers',
            'module_title' => 'List all Vehicle Service Centers',
            'module_description' => 'Manage all Vehicle Service Centers',
            'props' => [
                'name' => 'Name',
                'phone' => 'Phone',
                'email' => 'Email',
                'contact_person' => 'Contact Person',
                'contact_person_phone' => 'Contact Person Phone',
                'contact_person_email' => 'Contact Person Email',
                'address' => 'Address',
            ],
        ],
        'service_record' => [
            'service_record' => 'Vehicle Service Record',
            'service_records' => 'Vehicle Service Records',
            'module_title' => 'List all Vehicle Service Records',
            'module_description' => 'Manage all Vehicle Service Records',
            'props' => [
                'amount' => 'Amount',
                'date' => 'Date',
                'log' => 'Log',
                'next_due_date' => 'Next Due Date',
                'next_due_log' => 'Next Due Log',
                'remarks' => 'Remarks',
            ],
        ],
        'travel_record' => [
            'travel_record' => 'Vehicle Travel Record',
            'travel_records' => 'Vehicle Travel Records',
            'module_title' => 'List all Vehicle Travel Records',
            'module_description' => 'Manage all Vehicle Travel Records',
            'props' => [
                'date' => 'Date',
                'log' => 'Log',
                'remarks' => 'Remarks',
            ],
        ],
        'document' => [
            'document' => 'Vehicle Document',
            'documents' => 'Vehicle Documents',
            'module_title' => 'List all Vehicle Documents',
            'module_description' => 'Manage all Vehicle Documents',
            'props' => [
                'title' => 'Title',
                'type' => 'Type',
                'start_date' => 'Issue Date',
                'end_date' => 'Expiry Date',
                'description' => 'Description',
            ],
        ],
        'config' => [
            'config' => 'Config',
            'props' => [],
        ],
    ],
    'config' => [
        'config' => 'Config',
        'props' => [
            'route_in_dashboard' => 'Transport Route in Dashboard',
        ],
    ],
];
